#
# spec file for package fcitx-cloudpinyin
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fcitx-cloudpinyin
Version:        0.3.6
Release:        lp150.1.7
Summary:        Cloudpinyin module for fcitx
License:        GPL-2.0+
Group:          System/I18n/Chinese 
Url:            https://github.com/fcitx/fcitx-cloudpinyin
BuildRequires:  cmake
BuildRequires:  fcitx-devel
BuildRequires:  gcc-c++
BuildRequires:  intltool
BuildRequires:  libcurl-devel
%if 0%{?suse_version}
BuildRequires:  pkg-config
%else
BuildRequires:  pkgconfig
%endif
BuildRequires:  xz
Source:         http://download.fcitx-im.org/fcitx-cloudpinyin/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       locale(fcitx:zh_CN;zh_SG)
%{fcitx_requires}

%description
Cloulpinyin is an based cloud compute input method
 
%prep
%setup -q -n %{name}-%{version}

%build
mkdir build
cd build
cmake   -DCMAKE_INSTALL_PREFIX=%{_prefix} \
        -DLIB_INSTALL_DIR=%{_libdir} \
        ..
make

%install
pushd build
make DESTDIR=$RPM_BUILD_ROOT install
popd

%{__strip} %{buildroot}%{_libdir}/fcitx/%{name}.so
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING
%{_fcitx_libdir}/%{name}.so
%{_fcitx_addondir}/%{name}.conf
%{_fcitx_descdir}/%{name}.desc

%changelog
* Sat Dec  2 2017 i@marguerite.su
- update version 0.3.6
  * set timeout, increase max handle but don't allow overflow
  －changes in 0.3.5
  * make baidu use https
* Mon Jun  9 2014 i@marguerite.su
- update version 0.3.4
  * better shuangpin and separator support
* Fri Feb 14 2014 fcrozat@suse.com
- Ship COPYING as %%doc.
* Mon Nov 11 2013 i@marguerite.su
- update version 0.3.3
  * upstream API changed (fcitx's upstream, eg Google)
  * Sogou gives 403 for now and the cloudpinyin link in their website
    also points to an invalid page
  * qq doesn't work anymore
  * now we default to google hence we can have https by default
* Mon Jul  1 2013 i@marguerite.su
- update version 0.3.2
  * disable cloud pinyin on fly
  * translation update
* Sat Jan 26 2013 i@marguerite.su
- update version 0.3.1
  * update to support clean quit.
* Sat Sep 15 2012 i@marguerite.su
- update version 0.3.0
  * Make sure the first candidate word is always useable
    (even if cloud pinyin candidate word was set to the first
    one and there is no response from the server)
  * Remove the duplicated candidate word if netword is fast,
    leave a place holder otherwise
* Sat Jul 21 2012 i@marguerite.su
- update version 0.2.3
  * change the policy for when there is duplication result, now most word position will not changed.
* Mon Jun  4 2012 i@marguerite.su
- update version 0.2.2
  * save cloudpinyin result to sunpinyin userdict.
* Mon May 28 2012 i@marguerite.su
- bring it into DVD.
* Mon Mar 12 2012 hillwoodroc@gmail.com
- Update to 0.2.1
  Change http to https for google
* Wed Feb 29 2012 i@marguerite.su
- set _service disabled. update source from git.
* Sat Jan 28 2012 i@marguerite.su
- Upstream version 0.2.0git
* Sun Oct  2 2011 hillwood@linuxfans.org
- Update to 0.1.2
  Add Baidu Cloud Pinyin as a new source
  Fcitx built-in Pinyin can now memorize content Cloud Pinyin has inputed.
  Sunpinyin cant because of its API limitation.
* Fri Sep  9 2011 hillwood@linuxfans.org
- update to 0.1.1
* Wed Sep  7 2011 hillwood@linuxfans.org
- rewrite spec file.
* Tue Sep  6 2011 mymathersname@gmail.com
- first build for Fedora.
